html, body {
	height: 100%;
	margin: 0;
	font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Oxygen-Sans, Ubuntu, Cantarell, "Helvetica Neue", sans-serif;
}

a {
	transition: color .3s;
	color: #265C83;
	text-decoration:none;
}

a:link,
a:visited { color: #265C83; }
a:hover   { color: #7FDBFF; }
a:active  {
	transition: color .3s;
	color: #007BE6;
}

.link { text-decoration: none; }

.sr-only {
	position: absolute;
	left: -10000px;
	top: auto;
	width: 1px;
	height: 1px;
	overflow: hidden;
}

#map {
	position: absolute;
	top: 0;
	bottom: 0;
	left:0;
	right: 0;
}
.leaflet-container .leaflet-popup {
	font: 12px/1.5 -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Oxygen-Sans, Ubuntu, Cantarell, "Helvetica Neue", sans-serif;
}
.sidebar {
	position:absolute;
	width: 350px;
	z-index: 1000;
	background-color: white;
	opacity: 0.8;
	transition: opacity .5s;
}
.sidebar:hover {
	opacity: 1;
}
.sidebar p, .sidebar h1, .sidebar div {
	margin:15px;
}
.sidebar p {
	font-size: 90%;
}
.by {
	font-style: italic;
}

/* Sections (e.g. contact) */
.open {
	font-weight: bold;
}
.closed {
	display: none;
}
.open:hover + .closed, .closed:hover {
	display: inline;
}

.menu {
	display:none;
}

/* On small screens only sidebar OR map */
@media (max-width: 800px) {
	.sidebar {
		position: absolute;
		overflow: scroll;
		left: 0;
		right: 0;
		top: 0;
		text-align: center;
		width: 100%;
		height: auto;
		opacity: 1;
		z-index: 1200;
	}
	.sidebar-closed {
		height: 4rem;
	}
	.sidebar-closed > :not(.sidebar-header) {
		display:none;
	}
	.sidebar .sidebar-header {
		display: flex;
		align-items: center;
		margin: 0;

		background: white;
		z-index: 1200;
		width: 100vw;
		height: 4rem;
		text-align: center;
	}
	.sidebar-header > h1 {
		margin: 0;
		flex-grow: 1;
	}
	.menu {
		display: inherit;
	}
	.menu .icon-bar {
		display: block;
		width: 1.69rem;
		height: 0.23rem;
		background-color: #656565;
		border-radius: 0.11rem;
	}
	.menu .icon-bar + .icon-bar {
		margin-top: 0.23rem;
	}
	.opensidebar {
		vertical-align:middle;
	}
	#map {
		top: 4rem;
	}
	.closed {
		display:inline;
	}
}

p.meta {
	font-style: italic;
	font-size: 75%;
}

/* Browser compatibility */
.browser-error {
	display: none;
}
body.no-js .browser-error,
.error {
	display: block;
	background-color: #f9b011;
	padding: 5px;
	border: 3px red solid;
}
body.no-js .js-fun {
	display: none;
}

/*
 * DEBUG (Station tester)
 */
.debug {
	border: 3px dashed orange;
	padding: 10px;
	display: none;
}
.debug.debug-open {
	display: block;
}

.debug > * {
	display: inline;
}

.debug > p {
	margin: 0 10px 0 0;
}

.debug > .dbg-list {
	word-wrap: break-word;
}

/*
 * CONTROLS & AUTOCOMPLETE
 */

input[type=text], input[type=password] {
	box-sizing: border-box;
}
label {
	font-weight: bold;
}
.search-input {
	width: 100%;
}
.search-result {
	display: none;
	border: 3px red solid;
}
.search-result.success {
	display: none;
	border: 3px green solid;
}
.search-result.visible {
	display: block;
	padding: 5px;
}

input + .autocomplete-container {
	display: none;
}

input:focus + .autocomplete-container, .autocomplete-container:hover {
	display: block;
	margin: 0;
	position: absolute;
	left: 0;
	right: 0;
}

.autocomplete-container a {
	display: block;
	padding: 5px;
	border: 1px solid #aaa;
	border-bottom: none;
	background: #fff;
	box-shadow: 5px 5px 5px 0px rgba(0,0,0,0.75);
	font-size: 90%;
	color: #000;
}
.autocomplete-container a:hover {
	background: #f5f5f5;
}
.autocomplete-container a:last-of-type {
	border-bottom: 1px solid #aaa;
	border-radius: 0 0 5px 5px;
}
.autocomplete-container a:first-of-type {
	border-radius: 5px 5px 0 0;
}
div.autocomplete {
	position:relative;
	margin: 0;
}

/* Statuses */
.status-dot, .status-dot::before {
	-webkit-clip-path: circle(50% at center);
	clip-path: circle(50% at center);
}

.status-dot {
	border: none;
	height: 12.5px;
	width: 12.5px;
	background-color: #bbb;
	display: inline-block;
	margin-right: 10px;
	position: relative;
}

.status-dot:last-child:not(:first-child) {
	margin-right: 0;
}

.status-dot::before {
	content: "";
	width: 10.5px;
	height: 10.5px;
	display: block;
	position: absolute;
	top: 1px;
	left: 1px;
}

span > span.status-dot:first-child {
	margin: 0 5px 0 0;
}
span > span.status-dot:last-child {
	margin: 0 0 0 5px;
}

.status-1::before { background-color: #66cc66; }
.status-3::before { background-color: #ffffff; }
.status-5::before { background-color: #ffff33; }
.status-7::before { background-color: #ffcc00; }
.status-8::before { background-color: #a4adbf; }
.status-9::before { background-color: #e20000; }

.status-dot-inline {
	margin-right: 0;
}

a.stwmap-control {
	background-size: contain;
	background-size: 20px;
}
.stwmap-control-legend {
	padding: 6px 8px;
	font: 14px/16px -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Helvetica, Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol";
	background: white;
	background: rgba(255, 255, 255, 0.8);
	box-shadow: 0 0 15px rgba(0, 0, 0, 0.2);
	border-radius: 5px;
}
@media (max-width: 800px) {
	.stwmap-control-legend {
		display: none;
	}
}
